Page MenuHomePhabricator

Remove evas internal dependency from the evas_font module
ClosedPublic

Authored by smohanty on Nov 1 2017, 1:37 AM.

Details

Summary

dev branch : devs/subhransu/font

The Final goal is to move the evas_font module to ector so that both ector and evas can reuse the code.
make the api simple so that sam eapi can be used by evas_textblock and ector text.

This is the 1st stage to achive that gola, first remove the evas internal dependancy as much as possible before moving to ector library.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
smohanty created this revision.Nov 1 2017, 1:37 AM

My editor is set to auto remove the trailing space so just ignore those lines :)

smohanty updated this revision to Diff 12841.Nov 1 2017, 3:31 AM

added a new commit to fix coding style in evas_font_dir

smohanty updated this revision to Diff 12843.Nov 1 2017, 3:59 AM
  • evas/font: remove evas internal dependancy from evas_font_query
smohanty updated this revision to Diff 12844.Nov 1 2017, 4:22 AM
  • evas/font: move glyph draw implementation to evas_font_draw
  • evas/font: remove evas internal dependancy from evas_font_compress
smohanty updated this revision to Diff 12845.Nov 1 2017, 4:53 AM
  • evas/font: remove evas internal dependancy from evas_font_query
  • evas/font: move glyph draw implementation to evas_font_draw
  • evas/font: remove evas internal dependancy from evas_font_compress
  • evas/font: remove evas internal dependancy from evas_font_main
  • evas/font: remove evas internal dependancy from evas_font_ot
  • evas/font: remove font_dir related function from evas_common_private header
raster added a comment.Nov 3 2017, 1:33 AM

did you actually compile this?:

In file included from ../src/lib/evas/common/evas_text_utils.h:19:0,
                 from ../src/lib/evas/common/evas_font.h:54,
                 from lib/evas/canvas/evas_font_dir.c:16:
../src/lib/evas/common/evas_font_ot.h:20:4: error: unknown type name ‘Evas_Coord’
    Evas_Coord x_offset;
    ^~~~~~~~~~
../src/lib/evas/common/evas_font_ot.h:21:4: error: unknown type name ‘Evas_Coord’
    Evas_Coord y_offset;
    ^~~~~~~~~~
smohanty updated this revision to Diff 12874.Nov 5 2017, 7:22 PM
  • evas/font: remove evas internal dependancy from evas_font_query
  • evas/font: move glyph draw implementation to evas_font_draw
  • evas/font: remove evas internal dependancy from evas_font_compress
  • evas/font: remove evas internal dependancy from evas_font_main
  • evas/font: add a new log domain for evas_font
  • evas/font: remove evas internal dependancy from evas_font_ot
  • evas/font: remove font_dir related function from evas_common_private header
In D5419#92410, @raster wrote:

did you actually compile this?:

In file included from ../src/lib/evas/common/evas_text_utils.h:19:0,
                 from ../src/lib/evas/common/evas_font.h:54,
                 from lib/evas/canvas/evas_font_dir.c:16:
../src/lib/evas/common/evas_font_ot.h:20:4: error: unknown type name ‘Evas_Coord’
    Evas_Coord x_offset;
    ^~~~~~~~~~
../src/lib/evas/common/evas_font_ot.h:21:4: error: unknown type name ‘Evas_Coord’
    Evas_Coord y_offset;
    ^~~~~~~~~~

By default harfbuzz is disabled thats why that part of the code was not building. have updated the patches with fix.

raster requested changes to this revision.Nov 5 2017, 8:57 PM

did you test it? like run things? elementary_test is all blank. terminology is blank. ...

http://www.enlightenment.org/ss/e-59ffeb70da8921.74235002.png

http://www.enlightenment.org/ss/e-59ffeb8a306b30.92222028.png

This revision now requires changes to proceed.Nov 5 2017, 8:57 PM
smohanty updated this revision to Diff 12876.Nov 5 2017, 11:03 PM
  • evas/font: remove font_dir related function from evas_common_private header
  • evas/font: remove evas internal dependancy from evas_font_ot

@raster My bad .. have updated the commit to fix the same.

raster accepted this revision.Nov 6 2017, 6:33 PM

success. it renders right now... :)

This revision is now accepted and ready to land.Nov 6 2017, 6:33 PM
Closed by commit rEFLb038d7df25f9: Remove evas internal dependency from the evas_font module (authored by subhransu mohanty <sub.mohanty@samsung.com>, committed by raster). · Explain WhyNov 6 2017, 6:35 PM
This revision was automatically updated to reflect the committed changes.
jpeg added a comment.Nov 6 2017, 10:06 PM

This broke make check. Trivial fix... But please do a minimum of testing... :(

I was trying to run make check yesterday and it barfed even compiling with a whole bunch of c++ errors... so i didnt bother with make check today... i did test (i ran lots of elm test dialogs, e, terminology, etc.). I didn't see any issues... :/